#include <stdio.h>

using namespace std;

int main()
{
    int n,m;
    scanf("%d%d", &n,&m);
    int a[n][m];
    int b[n],bin[n+1];
    for (int i=0;i<n;i++)
    {
        for (int j=0;j<m;j++) a[i][j]=0;
        scanf("%d", &b[i]);
        bin[i]=0;
    }
    bin[n]=0;
    int i=0,ob=0,ne=0,sum=0,minimum=n*n*m;
    while(bin[n]==0)
    {
        i=0;
        while (bin[i])
        {
            bin[i]=0;
            i++;
        }
        bin[i]=1;
        for (int j=0;j<n;j++)
        {
            if (bin[j]) for (int z=m-1;z>=m-b[j];z--) a[j][z]=1;
            else for (int z=0;z<b[j];z++) a[j][z]=1;
        }
        for (int j=0;j<m;j++)
        {
            for (int z=0;z<n;z++)
            {
                if (a[z][j]) ob++;
                else ne++;
            }
            sum+=ob*ne;
            ob=0;
            ne=0;
        }
        if (sum<minimum) minimum=sum;
        sum=0;
        for (int j=0;j<n;j++)
            for (int z=0;z<m;z++) a[j][z]=0;
    }
    printf("%d",minimum);
    return 0;
}